<script type="text/javascript">
    {{include("HCUEPacienteBundle::paciente_functions.js.twig"|raw)}} 
    var form=$("#formArchivo");
    var paciente=$("#archivo_nombrepaciente");
    var paciente_id=$("#archivo_paciente_id");
    var numeroarchivo=$("#archivo_numeroarchivo");
    var existe_archivo=false;
    var modo="{{ modo }}";
    
    
    function existeArchivo(value){
        var respuesta=false;
        var url="{{path('hcue_paciente_archivo_existe')}}/";

        if(value.length==0 || value==undefined) return;
        $.ajax({
                type: 'GET',
                dataType: 'json',
                async: false,
                url: url+value+"/"+"{{entidad_id}}/{{archivo_id}}",
                success: function(json) {
                  if(json==1)
                  {
                    respuesta=true;
                  }
                },    
           });

        return respuesta;
    }
    
    function autocompletePaciente(){
        var ejecutar =false;
        paciente.autocomplete({
                source: function(resquest,response){
                    $.ajax({
                        type: 'GET',
                        dataType: 'json',
                        async: true,
                        url: "{{path('hcue_paciente_archivo_filtrar')}}/"+paciente.val(),
                        
                        success: function(json) {
                            response(json);
                          },    
                    });
                },
                select: function (event, ui) {
                    paciente_id.val(ui.item.id).trigger("change").focus();
                },
                search: function (event,iu){
                    if(!ejecutar){
                        event.preventDefault();
                    }else {
                        ejecutar=false;
                    }
                }
            
            }).onblur(function(){
                paciente_id.val("");
            }).keypress(function(e){
                if(e.keyCode===13){
                    ejecutar=true;
                    $(this).autocomplete("search",$(this).val());
                }
            });  
    }
    
    function keyupNumeroArchivo(){
        numeroarchivo.keyup(function(){
            existe_archivo=false;
        });
    }
    
    function onchangeNumeroArchivo(){
        numeroarchivo.change(function(){
            existe_archivo=existeArchivo($(this).val());
            
        });
    }
    
    function ajustarBotones(){
        var btnConfirmar=$("#btnconfirmar");
        var btnConfirmarNuevo=$("#btnconfirmarnuevo");
        var btnLimpiar=$("#btnlimpiar");
        var btnNuevo=$("#btnnuevo");
        var btnRegresar=$("#btnregresar");
            if(screen.width<=402){
                btnConfirmar.addClass("btn-xs");
                btnConfirmarNuevo.addClass("btn-xs");
                btnLimpiar.addClass("btn-xs");
                btnNuevo.addClass("btn-xs");
                btnRegresar.addClass("btn-xs");
            }
            else if(screen.width<=893){
                btnConfirmar.addClass("btn-sm");
                btnConfirmarNuevo.addClass("btn-sm");
                btnLimpiar.addClass("btn-sm");
                btnNuevo.addClass("btn-sm");
                btnRegresar.addClass("btn-sm");
            }
    }

$(function () {
    
    keyupNumeroArchivo();
    onchangeNumeroArchivo();

    form.validationForm({},{},function(){               
            jQuery.validator.addMethod("existe_archivo",function(value,element){
                   return !existe_archivo;
            },"El número de archivo ya existe");
            jQuery.validator.addMethod("pacientevalido",function(value,element){
                   if(paciente_id.val()=="" || paciente_id.val()==undefined){
                       return false;
                   };
                   return true;
            },"El paciente ingresado no es valido");
        });

});

</script>